SUBROUTINE DumpPCT(PCT)
!
! T. Bullett   CIRES     04Nov08
! g95 
!
! Dump the values in a Pulse Configuration Table (PCT) from the VIPIR RIQ files
! Version 1.2 of the RIQ format 
!
! Requries the TrimNull() function from misc_utils.f90 
!
USE misc_utils
IMPLICIT NONE
INCLUDE 'pct.f90'
!
!
TYPE(PCTtype):: PCT
!
!
WRITE(*,105) '' 
WRITE(*,105) 'PCT:'
WRITE(*,101) 'pct.record_id', PCT%record_id
WRITE(*,102) 'pct.pri_ut', PCT%pri_ut
WRITE(*,102) 'pct.pri_time_offset', PCT%pri_time_offset
WRITE(*,101) 'pct.base_id',  PCT%base_id
WRITE(*,101) 'pct.pulse_id', PCT%pulse_id
WRITE(*,101) 'pct.pulse_id', PCT%ramp_id
WRITE(*,101) 'pct.repeat_id',PCT%repeat_id
WRITE(*,102) 'pct.frequency', PCT%frequency
WRITE(*,100) 'pct.nco_tune_word',PCT%nco_tune_word
WRITE(*,102) 'pct.drive_attenuation', PCT%drive_attenuation
WRITE(*,100) 'pct.pa_flags',PCT%pa_flags
WRITE(*,102) 'pct.pa_forward_power', PCT%pa_forward_power
WRITE(*,102) 'pct.pa_reflected_power', PCT%pa_reflected_power
WRITE(*,102) 'pct.pa_vswr', PCT%pa_vswr
WRITE(*,102) 'pct.pa_temperature', PCT%pa_temperature
WRITE(*,101) 'pct.proc_range_count', PCT%proc_range_count
WRITE(*,102) 'pct.proc_noise_level', PCT%proc_noise_level
WRITE(*,104) 'pct.user:',TRIM(PCT%user)
!

RETURN
100 FORMAT ('#',1X,A,T33,'0x',Z8.8)
101 FORMAT ('#',1X,A,T31,I12)
102 FORMAT ('#',1X,A,T31,F12.2)
104 FORMAT ('#',1X,A,T31,A)
105 FORMAT ('#',1X,A)

END
