#define PCTID 0x42424242	// from TB
typedef struct
{
   long int        record_id;           // unique
   double          pri_ut;              // nominal per PRI duration
   double          pri_time_offset;     // read from clock, not accurate short term 
   long int        base_id;             // base frequency number this PRI
   long int        pulse_id;            // pulse set element number this PRI
   long int        ramp_id;             // ramp count this PRI
   long int        repeat_id;           // ramp repeat count this PRI
   long int        loop_id;             // outer loop repeat this PRI
   float           frequency;           // frequency this PRI, kHz
   long int        nco_tune_word;       // NCO tune word applied this PRI
   float           drive_attenuation;   // drive attenuation applied this PRI
   float           range_gate_offset;   // true range to gate 0
   long int        pa_flags;            // power amplifier status
   float           pa_forward_power;    // power amplifier measured forward power
   float           pa_reflected_power;  // power amplifier measured reverse power 
   float           pa_vswr;             // power amplifier measured vswr 
   float           pa_temperature;      // power amplifier measured temperature
   long int        proc_range_count;    // number of range gates kept this PRI [processed] 
   float           proc_noise_level;    // estimated noise level for this PRI [processed] 
   char            user[64];            // user spare
 } PCT;
