!
! Module containing miscellaneous utility subroutines.
!
MODULE misc_utils
IMPLICIT NONE
!
! 
CONTAINS
!
  PURE LOGICAL FUNCTION ODD(I)
! Determine if the argument is ODD.  Zero is considered EVEN
  IMPLICIT NONE
  INTEGER,INTENT(IN)::I
!
  ODD=.TRUE.
  IF (MOD(I,2).EQ.0) ODD=.FALSE.
  RETURN
  END FUNCTION ODD

!
  PURE LOGICAL FUNCTION EVEN(I)
! Determine if the argument is EVEN.  Zero is considered EVEN
  IMPLICIT NONE
  INTEGER,INTENT(IN)::I
!
  EVEN=.FALSE.
  IF (MOD(I,2).EQ.0) EVEN=.TRUE.
  RETURN
  END FUNCTION EVEN
!
!
! Function to remove the null characters in the C-format argument and return 
! a correct FORTRAN character string.
! T. Bullett  04Nov08  
!
FUNCTION TrimNull(STRING)
CHARACTER(LEN=*),INTENT(IN)::STRING
CHARACTER(LEN=LenTrimNull(STRING)) :: TrimNull 
! Local Variables
INTEGER ::  I 
CHARACTER(LEN=LEN(STRING)) TEMP
!
TEMP=STRING
DO I=1,LEN(TEMP)
  IF (ICHAR(TEMP(I:I)).EQ.0) TEMP(I:I)=' '
ENDDO
TrimNull=TRIM(TEMP)
RETURN
END FUNCTION TrimNull
!
!
!
PURE INTEGER FUNCTION LenTrimNull(STRING)
!
! Determine the lenght of STRING with all the null characters stripped
! Unfortunately, this requires actually stripping all the nulls...
! 
CHARACTER(LEN=*),INTENT(IN)::STRING
!
! Local Variables
INTEGER ::  I 
CHARACTER(LEN=LEN(STRING)) TEMP
!
TEMP=STRING
DO I=1,LEN(TEMP)
  IF (ICHAR(TEMP(I:I)).EQ.0) TEMP(I:I)=' '
ENDDO
LenTrimNull=LEN_TRIM(TEMP)
RETURN

END FUNCTION LenTrimNull

!
END MODULE misc_utils

