!
! Define the Pulse Configuration Table (PCT) structure for Version 1.2 of the
! Raw Inphase & Quadrature (RIQ) file format for the Scion HF Radar (VIPIR)
!
!
! T. Bullett    04 November 2008   g95
! Adapted from: 
! R. Livingston           gcc
!
!
! Pulse Configuration Table   Version 1.2
TYPE :: PCTtype    
INTEGER(KIND=4) :: record_id           ! Sequence number of this PCT
REAL(KIND=8)    :: pri_ut              ! UT of this pulse
REAL(KIND=8)    :: pri_time_offset     ! Time read from system clock, not precise.
INTEGER(KIND=4) :: base_id             ! Base Frequency counter
INTEGER(KIND=4) :: pulse_id            ! pulse set element for this PRI
INTEGER(KIND=4) :: ramp_id             ! ramp set element for this PRI
INTEGER(KIND=4) :: repeat_id           ! ramp repeat element for this PRI
INTEGER(KIND=4) :: loop_id             ! Outer loop element for this PRI
REAL(KIND=4)    :: frequency           ! Frequency of observation (kHz)
INTEGER(KIND=4) :: nco_tune_word       ! Tuning word sent to the receiver
REAL(KIND=4)    :: drive_attenuation   ! Low-level drive attenuation [dB]
INTEGER(KIND=4) :: pa_flags            ! Status flags from amplifier
REAL(KIND=4)    :: pa_forward_power    ! Forward power from amplifier
REAL(KIND=4)    :: pa_reflected_power  ! Reflected power from amplifier
REAL(KIND=4)    :: pa_vswr             ! Voltage Standing Wave Ratio from amplifier
REAL(KIND=4)    :: pa_temperature      ! Amplifier temperature
INTEGER(KIND=4) :: proc_range_count    ! Number of range gates kept this PRI
REAL(KIND=4)    :: proc_noise_level    ! Estimated noise level for this PRI
CHARACTER(64)   :: user                ! Spare space for user-defined information    
END TYPE PCTtype
