SUBROUTINE PCT2PRI(PCT,  PRI)
!
! T. Bullett   29Oct08 
! Place the PCT elements into the PRI,
!
IMPLICIT NONE
INCLUDE 'pct.f90'     ! PCT
INCLUDE 'pri.f90'     ! PRI
INTEGER IPRI
TYPE(dyn21type):: PCT
TYPE(PRItype)  :: PRI 

!
! Local variables
REAL,PARAMETER :: c=299792458.0 
REAL,PARAMETER :: km_per_ns = 0.5 * c / (1.0E+3*1.0E+9)  ! kilometers per nanosecond
INTEGER :: PULSET_LENGTH,RAMP_LENGTH,BLOCK_LENGTH, RGT 
REAL ::F0,DF
!
PULSET_LENGTH=PCT%pulse_count
RAMP_LENGTH=PCT%step_count
BLOCK_LENGTH=PCT%repeat_count
F0=REAL( PCT%frequency_start)/1000.0
DF=PCT%frequency_pct_step
PRI%Frequency=BASEFREQ(IPRI, PULSET_LENGTH, RAMP_LENGTH, BLOCK_LENGTH,F0,DF) 
PRI%PulsetLength=PCT%pulse_count
PRI%PulsetIndex=MOD(IPRI,PRI%PulsetLength) + 1
!

RETURN
END SUBROUTINE PCT2PRI 

